# Class CIM_EntriesInFilterList
extends CIM_Component

This is a specialization of the CIM_Component aggregation which is used to define a set of filter entries (subclasses of FilterEntryBase) that are aggregated by a particular FilterList.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_EntriesInFilterList

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Description | string | This is a specialization of the CIM_Component aggregation which is used to define a set of filter entries (subclasses of FilterEntryBase) that are aggregated by a particular FilterList.
UMLPackagePath | string | CIM::Network::Filtering
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
EntrySequence | uint16 | 0
Description | string | The order of the Entry relative to all others in the FilterList. The only permissible value is zero - indicating that all the Entries are ANDed together.
ValueMap | string | 0

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_EntriesInFilterList | CIM_FilterList
PartComponent | CIM_EntriesInFilterList | CIM_FilterEntryBase

## Class Methods